<?php
declare(strict_types=1);

namespace WP_AUX\Entities\Embeds\Traits;

trait VideoTraits
{
  protected bool $autoplay = false;
  protected bool $loop = false;
  protected bool $muted = false;
  protected bool $disableControls = false;

  public function setAutoplay(bool $autoplay): self
  {
    $this->autoplay = $autoplay;
    return $this;
  }

  public function setLoop(bool $loop): self
  {
    $this->loop = $loop;
    return $this;
  }

  public function setMuted(bool $muted): self
  {
    $this->muted = $muted;
    return $this;
  }

  public function setDisableControls(bool $disableControls): self
  {
    $this->disableControls = $disableControls;
    return $this;
  }
}
